"""
URL configuration for project project.

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.http import HttpResponse
from django.contrib import admin
from django.urls import path, include
from rest_framework.documentation import include_docs_urls

from django.template.loader import get_template
from django.conf import settings
from django.conf.urls.static import static


def frontend(request):
    plantilla = get_template('index.html')
    documento = plantilla.render()
    return HttpResponse(documento)


urlpatterns = [
    path('', frontend),
    path('admin/', admin.site.urls),
    path('api/', include('api.urls')),
    path('docs/', include_docs_urls(title = 'API Documentation'))
] + static(settings.STATIC_URL, document_root=settings.STATICFILES_DIRS[0])

